---
schema_version: "1"
id: 213f72bc6830028549e9211ca0065c686c37b48fedae54a82a3e43cefef783f6
title: Run an Identity Resolution Ruleset for Marketing Cloud
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/mc-core/guide/mc-manage-identity-resolution/mc-manage-identity-resolution-run-now/mc-manage-identity-resolution-run-now.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud-growth/guide/mc-manage-identity-resolution-run-now.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: d7798c73b8d0e5c89c7515ce9f5433b699d345299135691f0032be73f295154e
products:
  - Marketing Cloud Next
  - Marketing Cloud
---
# Run an Identity Resolution Ruleset for Marketing Cloud

Run an identity resolution ruleset job on demand by using the [Data 360 Identity Resolution Ruleset Run Now](https://developer.salesforce.com/docs/atlas.en-us.chatterapi.meta/chatterapi/connect_resources_cdp_ssot_identity_resolution_run.htm) endpoint in Connect API.

## Prerequisite

Before you send a request to Connect API, obtain a bearer token. For more information, see [Connect to REST-based APIs](https://developer.salesforce.com/docs/marketing/mc-connect-apis/mc-connect-apis-rest.md).

## Send the Request

To run an identity resolution ruleset immediately, send a POST request to the `/ssot/identity-resolutions/{identityResolutionRulesetName}/actions/run-now` endpoint. Replace `{identityResolutionRulesetName}` with the name of the ruleset that you want to run.

```
POST /services/data/{apiVersion}/ssot/identity-resolutions/{identityResolutionRulesetName}/actions/run-now HTTP/1.1
Host: YOUR_SUBDOMAIN.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN

{}
```

If the request is accepted, the response body describes the result of running the ruleset.

```json
{
  "resultCode": "NoPendingChangesJobRunSkipped"
}
```

There are four possible values for `resultCode`.

- `ExceededMaximumNumberOf​SuccessfulRunsAllowedIn24Hours`
- `IdentityResolutionJobIsAlready​Running`
- `NoPendingChangesJobRunSkipped`
- `SuccessfullySubmittedIdentity​ResolutionJobRunRequest`
